<?php
/**
 * @package Boketter
 * @version 1.0
 */
/*
Plugin Name: Boketter
Plugin URI: http://bokettch.warna.info/plugin/
Description: これはただのプラグインではありｍ（以下略
Author: jim912
Version: 1.0
Author URI: http://www.warna.info/
*/

class Boketter {
	public function __construct() {
		add_action( 'wp_dashboard_setup', array( &$this, 'add_dashboard_boketter_metabox' ) );
	}


	public function add_dashboard_boketter_metabox() {
		$bokettch_rss = fetch_feed( 'http://bokettch.warna.info/feed/' );
		if ( ! is_wp_error( $bokettch_rss ) ) {
			$item_quantity = $bokettch_rss->get_item_quantity();
			$index = rand( 0, $item_quantity - 1 );
			$item = $bokettch_rss->get_item( $index );
			$this->content = $item->get_content( 1 );
			$title = $item->get_title();
			add_meta_box( 'dashboard_boketter', $title, array( &$this, 'dashboard_boketter' ), get_current_screen(), 'side', 'high' );
		}

	}


	public function dashboard_boketter() {
		echo $this->content;
		echo '<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>';
	}
}
new Boketter;